=== debian/changelog ===
deepin-editor (5.10.14-1) unstable; urgency=medium

  * update

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Wed, 26 Jan 2022 09:12:55 +0800

deepin-editor (5.9.6-1) unstable; urgency=low

  [ Hu Feng <hufeng@uniontech.com> Fri, 19 Feb 2021 15:32:28 +0800 ]
  * debian/control
    + Add Hu Feng to the uploaders list.
    + Delete libdtkwm-dev in Build-Depends.
    + Delete libxcb-util0-dev in Build-Depends.
    + Delete libxcb1-dev in Build-Depends.
    + Delete libxext-dev in Build-Depends.
    + Delete libxtst-dev in Build-Depends.
    + Add libdframeworkdbus-dev to Build-Depends.
    + Add libgmock-dev to Build-Depends.
    + Add libgtest-dev to Build-Depends.
    + Add deepin-desktop-base to Depends in deepin-editor package.
    + Add dde-qt5integration to Depends in deepin-editor package.

  [ Clay Stan ]
  * debian/copyright: Update license information.

  [ Ma Aiguo ]
  * Initial package (Closes: #897571)

 -- Ma Aiguo <imaiguo@gmail.com>  Wed, 02 Jun 2021 16:53:34 +0800
