=== debian/control ===
Source: deepin-editor
Section: editors
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders: Ma Aiguo <imaiguo@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 pkg-config,
 libqt5widgets5,
 libdtkcore-dev,
 libdtkwidget-dev,
 libpolkit-qt5-1-dev,
 libkf5syntaxhighlighting-dev,
 libkf5codecs-dev,
 qttools5-dev-tools,
 qtbase5-private-dev,
 libdframeworkdbus-dev,
 libgtest-dev,
 libgmock-dev,
 libchardet-dev,
 libuchardet-dev (>= 0.0.6)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-editor

Package: deepin-editor
Architecture: any
Depends:
 dde-qt5integration,
 ${shlibs:Depends},
 ${misc:Depends},
 libdtkwidget5 (>= 5.4.11),
 libuchardet0 (>= 0.0.6),
 libchardet1
Description: Text editor for DDE (Deepin Desktop Environment)
 Advanced text editor based on dtk.
 .
 This package is part of DDE (Deepin Desktop Environment).
