## deepin-editor 5.10.18

=== debian/changelog ===
deepin-editor (5.10.18-1) unstable; urgency=medium

  * update

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Mon, 16 May 2022 10:24:02 +0800
