## deepin-editor 5.10.33

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,4 +20,6 @@
 
 add_subdirectory(src)
 
-add_subdirectory(tests)
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    add_subdirectory(tests)
+endif()
