=== debian/changelog ===
deepin-editor (5.10.33-1) unstable; urgency=medium

  * update

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Tue, 26 Jul 2022 14:51:47 +0800
