## deepin-editor 6.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 cmake_minimum_required(VERSION 3.7)
 
-if (NOT DEFINED VERSION)
-    set(VERSION 1.2.2)
-endif ()
+set(VERSION "6.0.0" CACHE STRING "Application version")
 
-project(deepin-editor)
+project(deepin-editor
+    VERSION ${VERSION}
+    DESCRIPTION "Text editor for DDE"
+    HOMEPAGE_URL "https://github.com/linuxdeepin/deepin-editor"
+    LANGUAGES CXX C
+)
 
 #set(CMAKE_VERBOSE_MAKEFILE ON)
 set(CMAKE_CXX_STANDARD 11)
@@ -18,6 +21,10 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
 endif ()
 
+# 设置软件版本
+include_directories(${PROJECT_BINARY_DIR})
+configure_file(${PROJECT_SOURCE_DIR}/src/environments.h.in ${PROJECT_BINARY_DIR}/environments.h @ONLY)
+
 add_subdirectory(src)
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
