=== debian/changelog ===
deepin-editor (6.0.3-1+rb1) UNRELEASED; urgency=medium

  * qt5.15.8 rebuild

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Tue, 14 Mar 2023 11:46:52 +0800

deepin-editor (6.0.3-1) unstable; urgency=medium

  * update

 -- Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>  Tue, 07 Mar 2023 13:22:39 +0800

deepin-editor (6.0.3) unstable; urgency=medium

  * Improve GB18030 text encoding recognition rate.
  * Fix print large document bug.

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 07 Mar 2023 10:43:27 +0800

deepin-editor (6.0.2) unstable; urgency=medium

  * Improve text search and highlight color.

 -- renbin <renbin@uniontech.com>  Thu, 16 Feb 2023 14:42:04 +0800

deepin-editor (6.0.1) unstable; urgency=medium

  * Improve convert text encoding.
  * Adaptor V23 DDE DBus interface.
  * Fix debian rules error. 

 -- renbin <renbin@uniontech.com>  Tue, 14 Feb 2023 15:04:06 +0800

deepin-editor (6.0.0) unstable; urgency=low

  * New version 6.0.0
  * Sync v23 source code from gerrit.

 -- renbin <renbin@uniontech.com>  Wed, 11 Jan 2023 14:04:01 +0000

deepin-editor (5.10.13) unstable; urgency=low

  [ Hu Feng <hufeng@uniontech.com> Fri, 19 Feb 2021 15:32:28 +0800 ]
  * debian/control
    + Add Hu Feng to the uploaders list.
    + Delete libdtkwm-dev in Build-Depends.
    + Delete libxcb-util0-dev in Build-Depends.
    + Delete libxcb1-dev in Build-Depends.
    + Delete libxext-dev in Build-Depends.
    + Delete libxtst-dev in Build-Depends.
    + Add libdframeworkdbus-dev to Build-Depends.
    + Add libgmock-dev to Build-Depends.
    + Add libgtest-dev to Build-Depends.
    + Add deepin-desktop-base to Depends in deepin-editor package.
    + Add dde-qt5integration to Depends in deepin-editor package.

  [ Clay Stan ]
  * debian/copyright: Update license information.

  [ Ma Aiguo ]
  * Initial package (Closes: #897571)

 -- Ma Aiguo <imaiguo@gmail.com>  Wed, 02 Jun 2021 16:53:34 +0800
