## deepin-editor 6.0.18

=== debian/changelog ===
deepin-editor (6.0.18) unstable; urgency=medium

  * fix: Change default search to be case insensitive(Bug: 262733)
  * fix: Wrong case sensitive config(Bug: 262733)

 -- renbin <renbin@uniontech.com>  Wed, 03 Jul 2024 18:14:32 +0800

deepin-editor (6.0.17) unstable; urgency=medium

  * feat: Change default shortcuts popup position(Task: 332267)(Influence: Shortcuts)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:37:32 +0800

deepin-editor (6.0.16) unstable; urgency=medium

  * feat: add new tab to the end
    Thanks to Cloud
  * chore: remove duplicate value for key "MimeType" in desktop file
    Thanks to hotime
  * fix: Shortcut 'Ctrl + M cursor' move to row indentation
         not implemented (Bug: 233877)
  * fix: Shortcuts Alt + P / N match the help (Bug: 233883)
  * fix: the Column Edit cannot align the selected columns (Bug: 234517)
  * fix: After column editing,lines are not withdrawn together (Bug: 241475)

 -- renbin <renbin@uniontech.com>  Thu, 01 Feb 2024 14:10:32 +0800

deepin-editor (6.0.15) unstable; urgency=medium

  * fix: Tab height error under low version dtk. 

 -- renbin <renbin@uniontech.com>  Wed, 25 Oct 2023 13:28:05 +0800

deepin-editor (6.0.14) unstable; urgency=medium

  * fix: Add support mimetype mod/toml.(Bug: 210815, 212273)(Influence: SupportFormat)
  * fix: Add mimetype toml in .desktop(Bug: 210815)
  * feat: adapt compact mode.(Task: 292061)(Influence: UI)
  * fix: Adapt compact mode for findbar and replacebar.(Bug: 220159)

 -- renbin <renbin@uniontech.com>  Thu, 19 Oct 2023 13:25:37 +0800

deepin-editor (6.0.13) unstable; urgency=medium

  * fix: Add support mimetype mod/toml.(Bug: 210815, 212273)(Influence: SupportFormat)
  * fix: Add mimetype toml in .desktop(Bug: 210815)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 14:21:02 +0800

deepin-editor (6.0.12) unstable; urgency=medium

  * fix: onPressedLineNumber() may cause process hangs.(Bug: 215591)(Influence: LineNumber)

 -- renbin <renbin@uniontech.com>  Thu, 31 Aug 2023 16:04:59 +0800

deepin-editor (6.0.11) unstable; urgency=medium

  * fix: Document in maximumized window is incomplete.(Bug: 172681)(Influence: SyntaxHighlight)
  * fix: Redo drag text error.(Bug: 196349)(Influence: DragText UnitTest)
  * fix: Redo drag text from other app error.(Influence: DragText)
  * fix: Roll back gb18030 midification.(Influence: GB18030 Encoding)
  * feat: Merge zpd requirement.(Task: 29499)
  * fix: failed unit test case.(Influence: UT)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 21 Jul 2023 14:29:57 +0800

deepin-editor (6.0.10) unstable; urgency=medium

  * chore: 更新翻译配置和翻译文件(Influence: 翻译配置 翻译文件)
  * chore: 更新藏文翻译文件 (#251)(Influence: 翻译文件)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 24 May 2023 13:20:03 +0800

deepin-editor (6.0.9) unstable; urgency=medium

  * fix: deepin-editor searching problem(Bug: 4203)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 May 2023 13:36:30 +0800

deepin-editor (6.0.8) unstable; urgency=medium

  * fix: 修复未正确记录日志(Influence: 日志文件)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 25 Apr 2023 10:52:41 +0800

deepin-editor (6.0.7) unstable; urgency=medium

  * fix: 修复最小化后，双击文件无法弹出编辑器窗口(Bug: 194029)(Influence: 激活窗口)
  * fix: 修复另存255长度文件名的文件权限不足问题(Bug: 192375)(Influence: 长文件名另存)
  * fix: 修复设置界面中字体和字号选项未对齐(Influence: 设置界面)
  * fix: 修复高分屏1.5缩放下图标模糊(Bug: 171749)(Influence: 高分屏缩放显示)
  * fix: 修复VBScript文件未高亮问题(Bug: 154719)(Influence: vbs格式高亮 授权文件)
  * chore: remove redundant code for linglong.  

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 20 Apr 2023 15:02:15 +0800

deepin-editor (6.0.6) unstable; urgency=medium

  * fix: 修复使用特殊字体时，序号显示不全(Bug: 188417)(Influence: 序号显示)
  * fix: 修复加载完小文件时，行号显示不全问题(Influence: 行号显示)
  * fix: 修复GB18030部分编码转换错误问题(Influence: 编码转换)
  * fix: 修复源编码为UTF-8时编码转换空白的问题(Influence: 编码转换)
  * feat: 适配GB18030-2022规范兼容2005标准(Bug: 193311)(Influence: 编码转换 GB18030显示 另存)
  * fix: 更新翻译显示(Bug: 110761)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 13 Apr 2023 13:51:25 +0800

deepin-editor (6.0.5) unstable; urgency=medium

  * Fix application palette change bug. 

 -- Deepin Packages Builder <packages@deepin.com> Thu, 16 Mar 2023 09:42:02 +0800

deepin-editor (6.0.4) unstable; urgency=medium

  * Update version to distinguish pro/community.
  * Fix cursor position error when editing multi-byte encoding text.

 -- Deepin Packages Builder <packages@deepin.com> Fri, 10 Mar 2023 10:19:21 +0800
