=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -59,11 +59,12 @@
 #Include all app own subdirectorys
 
 
-file(GLOB_RECURSE INTRODUCTION_SRC_TEST ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp)
+file(GLOB_RECURSE INTRODUCTION_SRC_TEST ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp ${CMAKE_CURRENT_LIST_DIR}/../src/basepub/*.c)
 #file(GLOB_RECURSE INTRODUCTION_SRC_TEST ${CMAKE_CURRENT_LIST_DIR}/../src/*.)
 #file(GLOB_RECURSE INTRODUCTION_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.)
 file(GLOB_RECURSE INTRODUCTION_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp *.theme)
 #file(GLOB_RECURSE INTRODUCTION_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.theme)
+file(GLOB_RECURSE INTRODUCTION_SRC_TEST2 ${CMAKE_CURRENT_LIST_DIR}/../src/*.h)
 
 list(REMOVE_ITEM INTRODUCTION_SRC_TEST "${CMAKE_CURRENT_LIST_DIR}/../src/main.cpp")
 list(REMOVE_ITEM INTRODUCTION_SRC_TEST "${CMAKE_CURRENT_LIST_DIR}/../src/dedit/main.cpp")
@@ -72,6 +73,7 @@
 
 # 生成测试可执行程序
 add_executable(${PROJECT_NAME_TEST}
+    ${INTRODUCTION_SRC_TEST2}
     ${INTRODUCTION_SRC_TEST}
     ${INTRODUCTION_SRC_TEST1}
     ${APP_QRC}
@@ -105,6 +107,7 @@
     ICU::uc
     -lpthread
     -lm
+    dl
     uchardet
     chardet
 )
