=== debian/changelog ===
deepin-editor (6.5.7) unstable; urgency=medium

  * Update version to 6.5.7

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 13:50:53 +0800

deepin-editor (6.5.6) unstable; urgency=medium

  * Update version to 6.5.6

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:39:13 +0800

deepin-editor (6.5.5) unstable; urgency=medium

  * chore: update linglong version
  * feat: adapt new ai assistant(Task: 36825)

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 11:46:16 +0800

deepin-editor (6.5.4) unstable; urgency=medium

  * remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 16:02:37 +0800

deepin-editor (6.5.3) unstable; urgency=medium

  * New version 6.5.3
  * Compress the linglong layer package.
  * Rename some images which with blank space char.

 -- re2zero <yangwu@uniontech.com>  Fri, 27 Sep 2024 13:11:16 +0800

deepin-editor (6.5.2) unstable; urgency=medium

  * New version 6.5.2
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-editor (6.5.1) unstable; urgency=medium

  * fix: Register application/x-zerosize MimeType in desktop file (Bug: 267705)

 -- wangrong <wangrong@uniontech.com>  Tue, 03 Sep 2024 15:43:20 +0800

deepin-editor (6.5.0) unstable; urgency=medium

  * chore(CI): add debian check workflow
  * feat: adapt treeland(Influence: Wayland)

 -- renbin <renbin@uniontech.com>  Wed, 21 Aug 2024 15:25:06 +0800
