=== debian/control ===
--- 
+++ 
@@ -38,3 +38,4 @@
  Advanced text editor based on dtk.
  .
  This package is part of DDE (Deepin Desktop Environment).
+Recommends: uos-reporter, deepin-event-log
