## deepin-editor 6.5.25

=== debian/changelog ===
deepin-editor (6.5.25) unstable; urgency=medium

  * Update version to 6.5.25

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 14 May 2025 11:10:19 +0800

deepin-editor (6.5.24) unstable; urgency=medium

  * fix: Refactor file saving with TextFileSaver and add safety checks
  * fix: Refactor file saving with memory validation
  * fix: capture bad_alloc(Bug: 311693)

 -- renbin <renbin@uniontech.com>  Thu, 24 Apr 2025 17:14:55 +0800

deepin-editor (6.5.23) unstable; urgency=medium

  * Fix: Add Qt6 support while maintaining Qt5 compatibility

 -- renbin <renbin@uniontech.com>  Wed, 16 Apr 2025 16:32:20 +0800

deepin-editor (6.5.22) unstable; urgency=medium

  * fix: Disable AI features on MIPS(Bug: 309189)

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 19:17:12 +0800

deepin-editor (6.5.21) unstable; urgency=medium

  * chore: update desktop file
  * fix: build with icu 75+ ICU 75+ requires C++17 to build.
  * Fix configuration for Packit 1.0.0

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:53:16 +0800

deepin-editor (6.5.20) unstable; urgency=medium

  * fix: update lrelease path in translation generation

 -- renbin <renbin@uniontech.com>  Fri, 28 Mar 2025 10:02:21 +0800

deepin-editor (6.5.19) unstable; urgency=medium

  * fix: use canonical file path(Bug: 297679)
  * refactor: remove DFrameworkdbus dependency and update Qt path handling
  * refactor: remove DFrameworkdbus dependency and update Qt path handling

 -- renbin <renbin@uniontech.com>  Thu, 27 Mar 2025 13:27:24 +0800

deepin-editor (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18

 -- renbin <renbin@uniontech.com>  Thu, 20 Mar 2025 19:04:56 +0800

deepin-editor (6.5.17) unstable; urgency=medium

  * Bump version to 6.5.17

 -- Wang Yu <wangyu@uniontch.com>  Wed, 12 Mar 2025 20:21:34 +0800

deepin-editor (6.5.16) unstable; urgency=medium

  * Bump version to 6.5.16

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:17:02 +0800

deepin-editor (6.5.15) unstable; urgency=medium

  * chore: New version 6.5.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 19:57:55 +0800

deepin-editor (6.5.14) unstable; urgency=medium

  * Update version to 6.5.14
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Fri, 07 Feb 2025 13:44:45 +0800

deepin-editor (6.5.13) unstable; urgency=medium

  * chore: v6.5.13 release.
  * feat: support qt6 build.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 16:30:43 +0800

deepin-editor (6.5.12) unstable; urgency=medium

  * chore: add org_deepin_editor configuration class (#320)
  * fix: cannot detect uos-ai in linglong (#321)(Bug: 300549)

 -- renbin <renbin@uniontech.com>  Thu, 16 Jan 2025 17:06:44 +0800

deepin-editor (6.5.11) unstable; urgency=medium

  * chore: New version 6.5.11.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 09 Jan 2025 17:38:34 +0800

deepin-editor (6.5.10) unstable; urgency=medium

  * fix: floating message cannot be closed(Bug: 297669)

 -- renbin <renbin@uniontech.com>  Thu, 02 Jan 2025 20:28:25 +0800

deepin-editor (6.5.9) unstable; urgency=medium

  * fix: remove invalid  url (#308)
  * fix: crash when characters over 2^30(Bug: 297727)

 -- renbin <renbin@uniontech.com>  Thu, 26 Dec 2024 19:25:31 +0800

deepin-editor (6.5.8) unstable; urgency=medium

  * chore: New version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 14:05:02 +0800
