## deepin-editor 6.5.27

=== debian/changelog ===
deepin-editor (6.5.27) unstable; urgency=medium

  * update translations.

 -- Liuyangming <liuyangming@uniontech.com>  Mon, 23 Jun 2025 13:58:34 +0800

deepin-editor (6.5.26) unstable; urgency=medium

  * Update damn's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 18 Jun 2025 11:13:49 +0800
