=== debian/changelog ===
deepin-editor (6.5.32) unstable; urgency=medium

  * fix: Update file path handling in saveAsFileToDisk function

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 18 Jul 2025 13:16:52 +0800

deepin-editor (6.5.31) unstable; urgency=medium

  * fix: Remove return statement in recoverFile function

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Jul 2025 11:32:50 +0800

deepin-editor (6.5.30) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 17:09:16 +0800

deepin-editor (6.5.29) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:56:15 +0800

deepin-editor (6.5.28) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Jul 2025 11:00:13 +0800
