## deepin-editor 6.5.34

=== debian/changelog ===
deepin-editor (6.5.34) unstable; urgency=medium

  * feat: Update translations for Lao locale (#376)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 18:12:04 +0800

deepin-editor (6.5.33) unstable; urgency=medium

  * Update translations for Lao locale.
  * update version to 6.5.33. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 15:18:53 +0800
